% rutero 1 en test 1, S2-2013

A = funcA(10);

% construir matriz de iteracion de Jacobi
D = diag(diag(A));
E = -tril(A,-1);
F = -triu(A,1);
M = D\(E+F);

% todas estas normas son mayores que 1, no garantizan que Jacobi converja,
% aunque tampoco garantizan que no converja
norm(M,2)
norm(M,inf)
norm(M,1)

% radio espectral de matriz de iteracion garantiza convergencia del metodo
% si es menor que 1 y no convergencia si es mayor o igual que 1. En este
% caso es menor que 1.
max(abs(eig(M)))

% llamando a jacobisol_modificado
x0 = zeros(10,1);
x0(10) = 1;
for tol = [1e-2 1e-3 1e-4 1e-5 1e-6]
    [soljac,conv,it] = jacobisol_modificado(A,zeros(10,1),x0,tol,100);
    disp('tol')
    tol
    disp('iteraciones')
    it
end
